Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044959
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminorhave not tried2020-09-01 18:022020-09-17 08:43
ReportershuehnerView Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in VersionRR20Q4
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget VersionRR20Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0044959: org.openbravo.mobile.core: Fix inconsistencies between legal/Licensing.txt + actual files

Descriptionlegal/Licensing.txt file is required to document all external resources (i.e. code) used with their licenses.

Checking mobile.core module showed some inconsistencies between files present + documented:

- Licensing.txt entry for sunspider was wrong path (not lib/vendor/sunspider but /lib/sunspider is actual location)
- Licensing.txt references underscoe 1.4.4 which does not exists (on top of the correct entry for 1.3.3)
- Licensing.txt has entry for RobotoMono font in assets but asset has 2nd font Roboto also

- Licensing.txt is missing entries for whole folder
  lib/notification
  lib/layout
  both seem to be 'addons' or similar to base library enyo

All above will probably not introduce any new license not used before but just formally fixes documentation. Should new license appear fixing above entries that one needs to be reviewed as usual.
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0045042RR20Q4 closedranjith_qualiantech_com 0044960: org.openbravo.mobile.core ships 'code examples' of 3rd party libraries with conflicting license 

-  Notes
(0123121)
hgbot (developer)
2020-09-17 05:21

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/70 [^]
(0123133)
hgbot (developer)
2020-09-17 08:43

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/70 [^]
(0123134)
hgbot (developer)
2020-09-17 08:43

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core [^]
Changeset: bc56d470aee3315dfb91767b6d7f30fe797c4a22
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2020-09-17T06:43:20+00:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/commit/bc56d470aee3315dfb91767b6d7f30fe797c4a22 [^]

Fixed ISSUE-44959: Updated License txt for the missing libraries
* Added Roboto font, Updated file path in the License txt

---
M legal/Licensing.txt
---

- Issue History
Date Modified Username Field Change
2020-09-01 18:02 shuehner New Issue
2020-09-01 18:02 shuehner Assigned To => Retail
2020-09-01 18:02 shuehner Triggers an Emergency Pack => No
2020-09-01 18:09 shuehner Relationship added related to 0044960
2020-09-08 14:51 marvintm Target Version => RR20Q4
2020-09-14 14:35 marvintm Relationship added related to 0045042
2020-09-15 13:21 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2020-09-16 04:57 ranjith_qualiantech_com Status new => scheduled
2020-09-17 05:21 hgbot Note Added: 0123121
2020-09-17 08:43 hgbot Resolution open => fixed
2020-09-17 08:43 hgbot Status scheduled => closed
2020-09-17 08:43 hgbot Note Added: 0123133
2020-09-17 08:43 hgbot Fixed in Version => RR20Q4
2020-09-17 08:43 hgbot Note Added: 0123134


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker